'get.d.y' <- 
function (xy, times, path.list) 
{
        n.ani = length(path.list)
        T = length(times)
        yd.list = vector("list", n.ani)
        min.x = min(diff(sort(xy[, 1]))[diff(sort(xy[, 1])) > 0])
        min.y = min(diff(sort(xy[, 2]))[diff(sort(xy[, 2])) > 0])
        x.uniq = sort(unique(xy[, 1]))
        y.uniq = sort(unique(xy[, 2]))
        ny = length(y.uniq)
        nx = length(x.uniq)
        x.breaks = c(x.uniq - min.x/2, max(x.uniq) + min.x/2)
        y.breaks = c(y.uniq - min.y/2, max(y.uniq) + min.y/2)
        for (i in 1:n.ani) {
            cat(i, "\n")
            tmp.cell.numb = rep(0, T)
            tmp.x.g = findInterval(path.list[[i]][, 1], x.breaks)
            tmp.y.g = findInterval(path.list[[i]][, 2], y.breaks)
            tmp.x.y.g = (tmp.x.g-1)*ny + ny-tmp.y.g+1
            tmp.rle = rle(tmp.x.y.g)
            tmp.d = tmp.rle$lengths
            tmp.locs = tmp.rle$values
            n.moves = length(tmp.locs)
            tmp.yit <- cbind(ifelse(diff(tmp.locs)== -ny, 1, 0),
                             ifelse(diff(tmp.locs)== -1, 1, 0),
                             ifelse(diff(tmp.locs)== 1, 1, 0),
                             ifelse(diff(tmp.locs)== ny, 1, 0))
            tmp.yit <- rbind(tmp.yit,c(0,0,0,0))
            tmp.yit[apply(tmp.yit == 0, 1, all), ] = NA
            yd.list[[i]] = cbind(tmp.locs, tmp.d, tmp.yit)
        }
        cat("\n")
        yd.list
    }
