plot.betas <- function(out){

#
#  Mevin Hooten (20090608)
#
#  Last Updated:
#################
#  20090702:  changed zero line to be dashed and black.
#

x11(width=12,height=8)
layout(matrix(1:4,2,2))

boxplot(data.frame(t(out$beta.save[out$alpha1.idx,-(1:out$n.burn)])),col=8,outline=FALSE,main=expression(alpha[1]),names=1:length(out$alpha1.idx),cex.main=2)
abline(h=0,col=1,lty=3,lwd=3)

boxplot(data.frame(t(out$beta.save[out$alpha2.idx,-(1:out$n.burn)])),col=8,outline=FALSE,main=expression(alpha[2]),names=1:length(out$alpha2.idx),cex.main=2)
abline(h=0,col=1,lty=3,lwd=3)

boxplot(data.frame(t(out$beta.save[out$gamma1.idx,-(1:out$n.burn)])),col=8,outline=FALSE,main=expression(gamma[1]),names=1:length(out$gamma1.idx),cex.main=2)
abline(h=0,col=1,lty=3,lwd=3)

boxplot(data.frame(t(out$beta.save[out$gamma2.idx,-(1:out$n.burn)])),col=8,outline=FALSE,main=expression(gamma[2]),names=1:length(out$gamma2.idx),cex.main=2)
abline(h=0,col=1,lty=3,lwd=3)


}
